Skip to main content
GET
/
assets
TypeScript
const response: Promise<FireblocksResponse<ListAssetsResponse>> = fireblocks.blockchainsAssets.listAssets(blockchainsAssetsApiListAssetsRequest);
{
  "data": [
    {
      "id": "9f9f7062-df90-4fc0-8697-96685184358d",
      "legacyId": "USDT_ERC20",
      "displayName": "Tether USD",
      "displaySymbol": "USDT",
      "assetClass": "FT",
      "metadata": {
        "scope": "GLOBAL",
        "verified": false,
        "deprecated": false,
        "deprecationReferralId": "056776ab-9efa-4219-9820-9ece0cc4d90d",
        "website": "https://example.org",
        "media": [
          {
            "url": "https://example.com/image.png",
            "type": "image/svg+xml",
            "attributes": {
              "monochrome": true
            }
          }
        ],
        "note": {
          "text": "Pay attention to gas fees",
          "userId": "056776ab-9efa-4219-9820-9ece0cc4d90d",
          "userName": "Test test",
          "updatedAt": "2025-06-08T19:42:49.000Z"
        },
        "features": [
          "STABLECOIN"
        ]
      },
      "blockchainId": "e85208ff-3b15-44e9-af14-0ed0280b2a15",
      "providerId": "SOME_PROVIDER_ID",
      "peggedAssetId": "6ef19b84-2144-4d38-8056-d423199bce5e",
      "assets": [
        "6ef19b84-2144-4d38-8056-d423199bce5e"
      ],
      "decimals": 2,
      "onchain": {
        "symbol": "USDT",
        "name": "Tether USD",
        "decimals": 6,
        "address": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
        "standards": [
          "ERC20"
        ]
      }
    }
  ],
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Query Parameters

blockchainId
string

Blockchain id of the assets

assetClass
enum<string>

Assets class

Available options:
NATIVE,
FT,
FIAT,
NFT,
SFT,
VIRTUAL
Example:

"FT"

symbol
string

Assets onchain symbol

Minimum string length: 1
scope
enum<string>

Scope of the assets The scope of the asset

Available options:
GLOBAL,
LOCAL
Example:

"GLOBAL"

deprecated
boolean

Are assets deprecated

ids
string[]

A list of asset IDs (max 100)

pageCursor
string

Next page cursor to fetch

pageSize
number
default:500

Items per page

Required range: 100 <= x <= 1000

Response

List of assets

data
object[]
required

The data of the current page

next
string | null
required

Cursor to the next page

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"